jQuery(document).ready(function($) {
    $('#generate-description-btn').on('click', function(e) {
        e.preventDefault();

        var post_id = $('#post_ID').val();  // Get the post ID

        // AJAX call to the API
        $.ajax({
            url: seoforge_vars.ajax_url,  // The AJAX URL
            type: 'POST',
            data: {
                action: 'generate_description',
                post_id: post_id,
                security: seoforge_vars.security  // Include the nonce
            },
            success: function(response) {
                if (response.success) {
                    // Insert the generated text into the content editor (TinyMCE)
                    if (typeof tinymce != 'undefined') {
                        var editor = tinymce.get('content');
                        if (editor && editor instanceof tinymce.Editor) {
                            editor.setContent(response.data);  // Replace all content
                        } else {
                            $('#content').val(response.data);  // If TinyMCE is not loaded, fill the textarea directly
                        }
                    }
                } else {
                    alert('Erreur : ' + response);
                }
            },
            error: function() {
                alert('Erreur lors de la génération de la description.');
            }
        });
    });
});