<?php
//  if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 

// Fonction pour afficher la page de l'onglet "Administration"

// Fonction pour afficher la page de l'onglet "Administration"
function seoforge_admin_page() {

  
    // Get options and client information
    $token = get_option('seoforge_token_id');
    $image_generation_enabled = get_option('seoforge_image_generation_enabled', 'no');
    $client = dataclient();

    // Handle form submission
    if (isset($_POST['save_admin_settings']) && isset($_POST['save_admin_settings_nonce']) && wp_verify_nonce(sanitize_text_field(wp_unslash($_POST['save_admin_settings_nonce'])), 'save_admin_settings_action')) {
        $token = isset($_POST['token']) ? sanitize_text_field(wp_unslash($_POST['token'])) : '';
        $image_generation_enabled = isset($_POST['enable_image_generation']) ? 'yes' : 'no';

        update_option('seoforge_token_id', $token);
        update_option('seoforge_image_generation_enabled', $image_generation_enabled);


        if ($image_generation_enabled === 'yes') {
            $image_generation_ai = isset($_POST['seoforge_image_generation_ai']) ? sanitize_text_field(wp_unslash($_POST['seoforge_image_generation_ai'])) : '';
            update_option('seoforge_image_generation_ai', $image_generation_ai);
        } else {
            update_option('seoforge_image_generation_ai', ''); // Clear AI selection if generation is disabled
        }

        echo '<div class="notice notice-success is-dismissible"><p>Paramètres enregistrés avec succès !</p></div>';
    }

    // Enqueue necessary scripts
    seoforge_enqueue_admin_scripts();

    // Include the template
    $template_path = plugin_dir_path(__FILE__) . 'templates/admin-settings-page.php';
    if (file_exists($template_path)) {
        // $token = sanitize_text_field($token);
        $token = get_option('seoforge_token_id');
        include $template_path;
    } else {
        echo '<div class="error"><p>Template file not found.</p></div>';
    }
}

// Function to enqueue admin page scripts
function seoforge_enqueue_admin_scripts() {
    wp_register_script(
        'seoforge-admin-script',
        plugin_dir_url(__FILE__) . 'js/admin-settings.js', // Path to your JavaScript file
        array('jquery'), // Dependencies
        '1.0', // Version
        true // Load in the footer
    );

    // Enqueue the script
    wp_enqueue_script('seoforge-admin-script');

    // Pass necessary data to the script
    wp_localize_script('seoforge-admin-script', 'seoforge_vars', array(
        'ajax_url' => admin_url('admin-ajax.php'),
    ));
}
// Fonction pour afficher la page de rédaction du prompt personnalisé
// Fonction pour afficher la page de rédaction du prompt personnalisé
function seoforge_custom_prompt_page() {
    // Enqueue any necessary scripts or styles
    seoforge_enqueue_admin_scripts();

    // Handle form submission
    if (isset($_POST['save_seoforge_custom_prompt']) && check_admin_referer('save_seoforge_custom_prompt_action', 'save_seoforge_custom_prompt_nonce')) {
        $custom_prompt = isset($_POST['seoforge_custom_prompt']) ? sanitize_textarea_field(wp_unslash($_POST['seoforge_custom_prompt'])) : '';
        update_option('seoforge_custom_prompt', $custom_prompt);
        echo '<div class="notice notice-success is-dismissible"><p>Prompt saved successfully!</p></div>';
    }

    // Get the saved prompt from the database
    $saved_prompt = get_option('seoforge_custom_prompt', '');
    if (file_exists(plugin_dir_path(__FILE__) . 'templates/custom-prompt-template.php')) {
        include plugin_dir_path(__FILE__) . 'templates/custom-prompt-template.php';
    } else {
        echo '<div class="notice notice-error is-dismissible"><p>Template file not found.</p></div>';
    }
}
// Enqueue the custom stylesheet for the Custom Prompt page
function seoforge_enqueue_custom_prompt_styles() {
    wp_enqueue_style(
        'seoforge-custom-styles',
        plugin_dir_url(__FILE__) . 'css/seoforge-custom-styles.css',
        array(),
        '1.0'
    );
}
add_action('admin_enqueue_scripts', 'seoforge_enqueue_custom_prompt_styles');
function seoforge_register_settings() {
    register_setting('bloggpt', 'seoforge_api_key');
    
    add_settings_section(
        'seoforge_section',  // ID de la section
        '',   // Titre de la section
        'seoforge_render_app',               // Fonction callback
        'bloggpt'           // Page slug
    );

}
add_action('admin_init', 'seoforge_register_settings');

function seoforge_render_app() {
    // $current_user = wp_get_current_user();
    if (file_exists(plugin_dir_path(__FILE__) . 'templates/app-template.php')) {
        include plugin_dir_path(__FILE__) . 'templates/app-template.php';
    } else {
        echo '<div class="notice notice-error is-dismissible"><p>Template file not found.</p></div>';
    }
}
// Enqueue the custom stylesheet for the SEOForge App page
function seoforge_enqueue_app_styles() {
    wp_enqueue_style(
        'seoforge-app-styles',
        plugin_dir_url(__FILE__) . 'css/seoforge-app-styles.css',
        array(),
        '1.0'
    );
}
add_action('admin_enqueue_scripts', 'seoforge_enqueue_app_styles');

// Fonction pour afficher la page d'options
function seoforge_options_page() {
    ?>
    <div class="wrap">
        <h1>SeoForge</h1>
        
            <?php
            settings_fields('bloggpt');
            do_settings_sections('bloggpt');
           
            ?>
        
    </div>
    <?php
}

// Fonction pour afficher la page ChatGPT
function seoforge_chatgpt_page() {
    // Handle form submissions
    
    // Handle form submissions
    if (isset($_POST['submit_prompt']) && isset($_POST['submit_prompt_nonce'])) {
        $submit_prompt_nonce = sanitize_text_field(wp_unslash($_POST['submit_prompt_nonce']));

        if (wp_verify_nonce($submit_prompt_nonce, 'submit_prompt_action')) {
            $prompt = isset($_POST['prompt']) ? sanitize_text_field(wp_unslash($_POST['prompt'])) : '';
            $response = seoforge_send_prompt_to_chatgpt($prompt);

            if ($response) {
                update_option('seoforge_last_prompt', $prompt);
                update_option('seoforge_last_response', $response);
            } else {
                wp_die('Failed to get a response from ChatGPT.');
            }
        } else {
            wp_die('Nonce verification failed.');
        }
    }

    // Handle resetting the conversation
    if (isset($_POST['reset_conversation']) && isset($_POST['reset_conversation_nonce'])) {
        $reset_conversation_nonce = sanitize_text_field(wp_unslash($_POST['reset_conversation_nonce']));

        if (wp_verify_nonce($reset_conversation_nonce, 'reset_conversation_action')) {
            delete_option('seoforge_conversation_history');
            echo '<div class="notice notice-success is-dismissible"><p>Historique de la conversation effacé avec succès.</p></div>';
        } else {
            wp_die('Nonce verification failed.');
        }
    }

    // Handle article creation
    if (isset($_POST['create_blog_post'])) {
        $title = isset($_POST['blog_post_title']) ? sanitize_text_field(wp_unslash($_POST['blog_post_title'])) : '';
        $title = preg_replace('/^\d+\.\s*/', '', $title); // Remove numbering
        $title = preg_replace('/^["\'](.*)["\']$/', '$1', $title); // Remove quotes
        $title = esc_html(stripslashes($title));

        $content = 'Rédige un article sur le sujet: ' . $title;
        seoforge_create_blog_post($title, $content);
        echo '<div class="notice notice-success is-dismissible"><p>Article de blog créé avec succès : ' . esc_html($title) . '</p></div>';
    }

    // Handle resetting the conversation
    if (isset($_POST['reset_conversation'])) {
        delete_option('seoforge_conversation_history');
        echo '<div class="notice notice-success is-dismissible"><p>Historique de la conversation effacé avec succès.</p></div>';
    }

    // Enqueue JavaScript
    seoforge_enqueue_chatgpt_scripts();

    // Render the ChatGPT form
    if (file_exists(plugin_dir_path(__FILE__) . 'templates/chatgpt-template.php')) {
        include plugin_dir_path(__FILE__) . 'templates/chatgpt-template.php';
    } else {
        echo '<div class="notice notice-error is-dismissible"><p>Template file not found.</p></div>';
    }

}

// Enqueue the necessary scripts for the ChatGPT page
function seoforge_enqueue_chatgpt_scripts() {
    wp_register_script(
        'seoforge-chatgpt-script',
        plugin_dir_url(__FILE__) . 'js/chatgpt.js', // Path to the JavaScript file
        array('jquery'), // Dependencies
        '1.0', // Version
        true // Load in the footer
    );

    // Enqueue the script
    wp_enqueue_script('seoforge-chatgpt-script');

    // Pass AJAX URL to the script
    wp_localize_script('seoforge-chatgpt-script', 'seoforge_vars', array(
        'ajax_url' => admin_url('admin-ajax.php'),
    ));
}
// Enqueue the custom stylesheet for the ChatGPT page
function seoforge_enqueue_chatgpt_styles() {
    wp_enqueue_style(
        'seoforge-styles',
        plugin_dir_url(__FILE__) . 'css/seoforge-styles.css',
        array(),
        '1.0'
    );
}
add_action('admin_enqueue_scripts', 'seoforge_enqueue_chatgpt_styles');
?>