<?php
//  if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 


function seoforge_send_prompt_to_api($token, $website_url, $tool, $prompt, $max_response_tokens, $conversationHistory, $gpt_version = "gpt-4") {
    $url = 'https://api.seoforge.io/blogpost/useclienttest'; 

    // // Paramètres de la requête
    // $params = array(
    //     'token' => $token,
    //     'websiteUrl' => $website_url,
    //     'tool' => $tool,
    //     'prompt' => $prompt,
    //     'max_response_tokens' => $max_response_tokens,
    //     'conversationHistory' => $conversationHistory,
    //     'gpt_version' => $gpt_version
    // );
    
    // write_log( $params, true );
    // // Construire l'URL avec les paramètres
    // $query_url = add_query_arg($params, $url);

    // // Faire une requête POST
    // $response = wp_remote_post($query_url, array(
    //     'method' => 'POST',
    //     'timeout' => 1000,
    //     'httpversion' => '1.1',
    //     'blocking' => true,
    //     'headers' => array(),
    //     'body' => '',
    // ));
    // Paramètres de la requête
    $params = array(
        'token' => $token,
        'websiteUrl' => $website_url,
        'tool' => $tool,
        'prompt' => $prompt,
        'max_response_tokens' => $max_response_tokens,
        'conversationHistory' => $conversationHistory,
        'gpt_version' => $gpt_version
    );

    // Faire une requête POST avec les paramètres dans le body
    $response = wp_remote_post($url, array(
        'method' => 'POST',
        'timeout' => 1000,
        'httpversion' => '1.1',
        'blocking' => true,
        'headers' => array(
            'Content-Type' => 'application/json',
        ),
        'body' => wp_json_encode($params),
    ));


    $body = wp_remote_retrieve_body($response);

    // return $response;
    // Vérifier s'il y a une erreur
    // if (is_wp_error($response)) {
    //     return 'Erreur lors de la requête : ' . $response->get_error_message();
    // }

    // Retourner la réponse du corps de la requête
    return $response
    
    ;
}
// TEST
function seoforge_send_prompt_to_chatgpt($prompt, $use_history = false) {

    
    if($use_history ){
        // Récupérer l'historique de la conversation stocké
        $conversation_history = get_option('seoforge_conversation_history', array());

        // Ajouter le nouveau message de l'utilisateur à l'historique
        $conversation_history[] = array('role' => 'user', 'content' => $prompt);

        // Compter le nombre de tokens dans les messages pour ajuster max_tokens
        $total_tokens = seoforge_count_tokens($conversation_history);
            // Calculer le nombre de tokens restant pour la réponse
        $max_response_tokens = 8192 - $total_tokens;

        // S'assurer que le nombre de tokens pour la réponse n'est pas trop élevé
        $max_response_tokens = min($max_response_tokens, 1000);  // Limite à 1000 tokens pour la réponse
    }else{
        $conversation_history[] = array('role' => 'user', 'content' => $prompt);
        $max_response_tokens  = 1000;
    }

    $website_url = isset($_SERVER['HTTP_HOST']) ? sanitize_text_field(wp_unslash($_SERVER['HTTP_HOST'])) : '';

    // Call the function to send the request using the sanitized variable
    $response = seoforge_send_prompt_to_api(get_option('seoforge_token_id'), $website_url, 'prompt', $prompt, 1000, false);

    if (is_wp_error($response)) {
        return 'Erreur lors de la requête API: ' . $response->get_error_message();
    }
    // Supposons que $response soit le tableau renvoyé
    $body = $response['body'];
    $data = json_decode($body, true);  // Décoder le JSON
    // return $data; 
    // wp_send_json_error('Plugin non supporté.');
   
    if (isset($data['message']) && $data['message'] === 'Success') {
        // if ($response['body']['error']['type'] === 'insufficient_quota') {
        //     return 'Erreur: Vous avez dépassé votre quota API. Veuillez vérifier vos crédits ou votre plan.';
        // }
        if (isset($data['api_response']['choices'][0]['message']['content'])) {
            $chatgpt_response = $data['api_response']['choices'][0]['message']['content'];
        } else {
            return 'Erreur: La structure de la réponse ne contient pas les informations attendues.';
        }
        // $chatgpt_response = $data['api_response']['choices'][0]['message']['content'];

        // Ajouter la réponse de ChatGPT à l'historique
        $conversation_history[] = array('role' => 'assistant', 'content' => $chatgpt_response);

        // Sauvegarder l'historique mis à jour dans les options WordPress
        update_option('seoforge_conversation_history', $conversation_history);

        return $chatgpt_response;
    } else {
        return 'Erreur lors de la génération de la réponse. Réponse API: ' . esc_html($body);
    }
}

// Fonction pour compter le nombre de tokens dans les messages (approximation)
function seoforge_count_tokens($messages) {
    $token_count = 0;
    foreach ($messages as $message) {
        $token_count += strlen($message['content']) / 4;  // Approximativement 4 caractères par token
    }
    return intval($token_count);
}
?>