<?php
// Prevent direct access
if (!defined('ABSPATH')) {
    exit;
}

$current_user = wp_get_current_user();
$iframe_url = 'https://api.seoforge.io/payment?token=' . urlencode(get_option('seoforge_token_id')) . '&email=' . urlencode($current_user->user_email);
?>
<div class="seoforge_box">
<img src="<?php echo esc_url(plugin_dir_url(__FILE__) . 'images/seo-forge-AI-logo.png'); ?>" alt="SEOForge AI Logo" />
    <h2>Introduction</h2>
    
    <div class="step">
        <h3>1.	Define the article generation prompt</h3>
        <div>
        Start by defining a prompt that will be used to generate article title ideas. This prompt should explain the type of topic or content you want to obtain, specifying themes, keywords, or questions to be addressed. This ensures that the proposed ideas are relevant to your audience.​        </div>
    </div>
    <div class="step">
        <h3>	2.	Write the prompt for the articles</h3>
        <div>
        Start by defining a prompt that will be used to generate article title ideas. This prompt should explain the type of topic or content you want to receive, specifying themes, keywords, or questions to address. This helps ensure that the suggested ideas are relevant to your audience.        </div>
    </div>

</div>
<div class="seoforge_box">
    <h2>Upgrade to  <b>SeoForge Pro</b></h2>
    <div class="features">
        <div class="text">
            <b>Good news!</b> <br /> <br />
            There’s no need to have your own ChatGPT or Midjourney API key to use this module. <strong>All integrations are already handled for you</strong>, allowing you to generate content and images effortlessly. Just install and start using the features right away!
        </div>
        <ul>
            <li><b>AI-Generated Images :</b> Dall-E & Midjourney</li>
            <li><b>Internal mesh:</b> blog articles</li>
            <li><b>Rewrite:</b> blog articles</li>
            <li><b>Internal mesh :</b> Woocommerce products</li>
            <li><b>Ai content generation :</b> Woocommerce products</li>
        </ul>
        <div class="btn">
        <a id="seoforge_see-more" href="https://seoforge.io/" target="_blank">SEOFORGE Pro</a>
        </div>
    </div>    

</div>
<div class="seoforge-app-wrapper">
    <iframe src="<?php echo esc_url($iframe_url); ?>" width="100%" height="750" style="border:none;"></iframe>
</div>