<?php
// Prevent direct access
if (!defined('ABSPATH')) {
    exit;
}

// Display any admin notices, checking for nonce verification
if (isset($_GET['notice']) && isset($_GET['_wpnonce']) && wp_verify_nonce(sanitize_text_field(wp_unslash($_GET['_wpnonce'])), 'display_notice_nonce')) {
    $notice = sanitize_text_field(wp_unslash($_GET['notice']));
    echo '<div class="notice notice-success is-dismissible"><p>' . esc_html($notice) . '</p></div>';
}
?>

<div class="seoforge-custom-prompt-wrapper">
    <h1>Write a Custom Prompt</h1>
    <form method="post" class="seoforge-prompt-form" style="display: flex; align-items: flex-start; justify-content: space-between;">
        <div>
            <label for="seoforge_custom_prompt">Enter your custom prompt for blog articles:</label><br>
            <textarea id="seoforge_custom_prompt" name="seoforge_custom_prompt" rows="5" cols="60"><?php echo esc_textarea($saved_prompt); ?></textarea><br><br>
            <?php wp_nonce_field('save_seoforge_custom_prompt_action', 'save_seoforge_custom_prompt_nonce'); ?>
            <input type="submit" name="save_seoforge_custom_prompt" value="Save Prompt" class="button button-primary">
        </div>
        <div class="seoforge-tips-section" style="margin-left: 20px; width: 100%;">
            <p>Tips for writing a prompt:</p>
            <ul>
                <li>The blog title should not be explicitly mentioned to be compatible with any topic.</li>
                <li>Include the expected HTML formatting.</li>
                <li>Define the desired tone and style.</li>
                <li>Test your prompt beforehand.</li>
            </ul>
            <p>Example:</p>
            <p>Write a full blog post based on the title. The article should be at least 1100 words, with at least 8 subsections. Each subsection should be around 200 words or more. Generate only HTML code. The article should include an engaging introduction, several detailed subsections with examples, statistics, and citations if necessary, and an engaging conclusion inviting readers to continue exploring the topic. Do not use the words "introduction" or "conclusion" in the text. Ensure each section is well developed and that the entire text meets the minimum 900-word requirement.</p>
        </div>
    </form>
</div>