<div class="wrap">
        <h1>Administration - Token ID and Image Generation Settings</h1>
        <form method="post">
            <table class="form-table">
               
                <?php if ($client['plan'] == 'Basic' || $client['plan'] == 'Pro'): ?>
                    


                    <!-- Paramètres personnalisés de génération d'image -->
                    <tr><th colspan="2"><h2>Custom Image Generation Settings</h2></th></tr>
                    <tr>
                        <th scope="row">Image Width</th>
                        <td><input type="number" name="image_width" value="<?php echo esc_attr($image_width); ?>" class="small-text"> px</td>
                    </tr>
                    <tr>
                        <th scope="row">Image Height</th>
                        <td><input type="number" name="image_height" value="<?php echo esc_attr($image_height); ?>" class="small-text"> px</td>
                    </tr>
                    <tr>
                        <th scope="row">Font size</th>
                        <td><input type="number" name="font_size" value="<?php echo esc_attr($font_size); ?>" class="small-text"> px</td>
                    </tr>
                    <tr>
                        <th scope="row">Text color</th>
                        <td><input type="text" name="text_color" value="<?php echo esc_attr($text_color); ?>" class="small-text wp-color-picker-field" data-default-color="#FFFFFF"></td>
                    </tr>
                    <tr>
                        <th scope="row">Text Background Color</th>
                        <td><input type="text" name="background_color" value="<?php echo esc_attr($background_color); ?>" class="small-text wp-color-picker-field" data-default-color="#000000"></td>
                    </tr>
                    <tr>
                        <th scope="row">Change colors based on the image’s brightness</th>
                        <td>
                            <input type="checkbox" name="color_reverse_enabled" <?php checked($bloggpt_background_color_reverse, 'yes'); ?>>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">Reverse Text Color</th>
                        <td><input type="text" name="text_color_reverse" value="<?php echo esc_attr($text_color_reverse); ?>" class="small-text wp-color-picker-field" data-default-color="#FFFFFF"></td>
                    </tr>
                    <tr>
                        <th scope="row">Reverse Background Color</th>
                        <td><input type="text" name="background_color_reverse" value="<?php echo esc_attr($background_color_reverse); ?>" class="small-text wp-color-picker-field" data-default-color="#000000"></td>
                    </tr>

                    
                    <tr>
                        <th scope="row">Text Margin</th>
                        <td><input type="number" name="margin" value="<?php echo esc_attr($margin); ?>" class="small-text"> %</td>
                    </tr>
                    <tr>
                        <th scope="row">Image Format</th>
                        <td>
                            <select name="image_format">
                                <option value="jpg" <?php selected($image_format, 'jpg'); ?>>JPEG</option>
                                <option value="webp" <?php selected($image_format, 'webp'); ?>>WEBP</option>
                            </select>
                        </td>
                    </tr>

                <?php endif; ?>
            </table>
            <?php wp_nonce_field('save_admin_settings_action', 'save_admin_settings_nonce'); ?>

            <p><input type="submit" name="save_admin_settings" value="Enregistrer les paramètres" class="button button-primary"></p>
        </form>

        <script>
            jQuery(document).ready(function($) {
                // Fonction pour vérifier l'état de la case à cocher et afficher/masquer le select
                function toggleImageGenerationSelect() {
                    if ($('#enable_image_generation').is(':checked')) {
                        $('#image_generation_ai').show();  // Afficher le select
                    } else {
                        $('#image_generation_ai').hide();  // Masquer le select
                    }
                }

                // Appeler la fonction lors du chargement initial de la page
                toggleImageGenerationSelect();

                // Attacher un événement pour détecter les changements de la case à cocher
                $('#enable_image_generation').on('change', function() {
                    toggleImageGenerationSelect();
                });

                // Activer le color picker pour les champs de couleur
                $('.wp-color-picker-field').wpColorPicker();
            });
        </script>
    </div>